---
name: Bug Report
about: Report any issues/bugs you're facing
---
<!--
Any HTML comment will be stripped when the markdown is rendered, so you don't need to delete them.
-->


- [ ] I have verified there are no duplicate active or recent bugs, questions, or requests
- [ ] I have verified that I am using the latest version.

### Device/App info:
 - Frames Version: `?`
 - Android version: `?`
 - Device Manufacturer: `?`
 - Device Name: `?`

### Describe the bug
A clear and concise description of what the bug is.

### Reproduction Steps
1.
2.
3.

### Expected behavior
<!-- A clear and concise description of what you expected to happen. -->



### Screenshots
<!-- If applicable, add screenshots or videos to help explain your problem. -->

### Code and/or Logs
<!--
Please wrap code with correct syntax highlighting. You can remove it if you think it isn't necessary.
-->
```kotlin
println("Hello, world!")
```

<!--
If you are getting an error in the LogCat, paste here the stack trace.
Please wrap logs with Gradle syntax highlighting (it makes them look better).
-->
```Gradle
java.lang.RuntimeException: This is an example Exception log
    at com.package.name.HelloWorld
    at com.package.name.HelloWorld$ThisIsNotARealLog
    at android.app.Instrumentation.callActivityOnResume(Instrumentation.kt)
```

### Additional context
<!-- Add any other context about the problem here. -->
